import { Popconfirm, Switch } from "antd";
function getcolumns(type) {
    return [
        {
            title: "托盘编号",
            dataIndex: "trayNo",
            key: "trayNo",
            formItemProps: { rules: [{ required: true, message: '此项为必填项' }] }
        },
        {
            title: "托盘名称",
            dataIndex: "trayName",
            key: "trayName",
            formItemProps: { rules: [{ required: true, message: '此项为必填项' }] }
        },
        {
            title: '工厂',
            dataIndex: 'factoryName',
            key: 'factoryId',
            valueType: 'select',
            fieldProps: {
                placeholder: '请选择',
            },
            formItemProps: {
                rules: [
                    {
                        required: true,
                        message: '此项为必填项',
                    },
                ],
            },
            options: {
                path: '/ta_wms_auth/sysFactory/selectionBoxAll',
                params: {}
            },
            hideInSearch: true
        },
        {
            title: '托盘类型',
            dataIndex: 'trayTypeName',
            key: 'trayType',
            valueType: 'select',
            options: [
                {
                    label: '线圈托盘',
                    value: 1
                },
                {
                    label: '铁芯托盘',
                    value: 2
                }
            ],
            hideInForm:true
        },
        {
            title: '托盘类型',
            dataIndex: 'trayTypeName',
            key: 'trayType',
            valueType: 'select',
            fieldProps: {
                placeholder: '请选择',
                disabled: type == 'add' ? false : true
            },
            options: [
                {
                    label: '线圈托盘',
                    value: 1
                },
                {
                    label: '铁芯托盘',
                    value: 2
                }
            ],
            formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            hideInTable:true,
            hideInSearch:true
        },
        {
            title: '载物状态',
            dataIndex: 'loadTypeName',
            key: 'loadType',
            valueType: 'select',
            fieldProps: {
                placeholder: '请选择'
            },
            options: [
                {
                    label: '空托盘',
                    value: 1
                },
                {
                    label: '满托盘',
                    value: 2
                },
            ],
            hideInForm: true
        },
        {
            title: '上线类型',
            dataIndex: 'lineTypeName',
            key: 'lineTypeName',
            hideInForm: true,
            hideInSearch: true
        },
        {
            title: '位置号',
            dataIndex: 'positionNo',
            key: 'positionNo',
            hideInForm: true,
            hideInSearch: true
        },
        {
            title: '所在区域',
            dataIndex: 'storeName',
            key: 'storeName',
            hideInForm: true
        },
        {
            title: "备注",
            dataIndex: "remark",
            key: "remark",
            hideInSearch: true,
            valueType: 'textarea'
        },
        {
            title: "绑定信息",
            dataIndex: "businessNo",
            key: "businessNo",
            hideInForm: true
        },
        {
            title: "状态",
            dataIndex: "statusName",
            key: "status",
            hideInForm: true,
            hideInSearch:true
        },
    ];
}

export default getcolumns;